Subject: bug#48413: 28.0.50; emacs does not repaint the window after switching workspaces in Xmonad

From: Stefan Kangas <[email-masked]>
Date: Wed, 29 Sep 2021 05:07:29 -0700

Platon Pronko <[email-masked]> writes:

>>> Can you tell me why we do not SET_FRAME_VISIBLE when receiving the
>>> MapNotify event here?  Probably because we are not yet visible - though
>>> mapped but invisible is a queer state.
>> In Bug#48129 Tom conjectures that this happens because some WMs do not
>> set _NET_WM_STATE.  Do you agree with him?  If so, wouldn't it make
>> sense to skip that x_get_current_wm_state check in MapNotify because it
>> fails on too many WMs?
>
> I think I agree with your reasoning ("Probably because we are not yet
> visible"). Can't comment further because I don't know much about Emacs
> frame internals and different WM specifics.

Is there anything more to do here, or should this bug be closed?